## Methods
Keywords: stratus_developper

Methods of class `Model` are listed below :

- `HurricanePlug` : Creates the Hurricane cell thanks to the stratus cell.
  Before calling this method, only the stratus cell is created, after this method, both cells are created. This method has to be called before View and Save, and before Layout.
- `View` : Opens/Refreshes the editor in order to see the created layout
- `Quit` : Finishes a cell without saving
- `Save` : Saves the created cell
  If several cells have been created, they are all going to be saved in separated files

Some of those methods have to be defined in order to create a new cell :

- `Interface` : Description of the external ports of the cell
- `Netlist` : Description of the netlist of the cell
- `Layout` : Description of the layout of the cell
- `Vbe` : Description of the behavior of the cell
- `Pattern` : Description of the patterns in order to test the cell